Subject: bug#11982: 24.1.50; (Contains ERT Test) show-paren-mode doesn't work in C comments if there's a quote between the parenthesis (affects c-mode and modes derived from it)

From: Noam Postavsky <[email-masked]>
Date: Thu, 22 Aug 2019 11:48:48 -0400

fixed 11982 27.1
notfixed 11982 26.1
quit

Vincent Lefevre <[email-masked]> writes:

> On 2019-08-22 11:05:04 -0400, Noam Postavsky wrote:
>> I can reproduce up to 25.3, but it seems to be fixed in 26.1.
>
> No, not fixed in 26.1, where this depends on some context.
> This is rather random, but here's a way to reproduce the
> bug in Debian:
>
> 1. emacs-gtk -Q foo.c
>    (where foo.c does not exist)
>
> 2. Paste "// Comments are good (aren't they?)"
>
> 3. Type C-M-p
>
> I get an error:
>
> forward-list: Scan error: "Unbalanced parentheses", 35, 1
>
> This problem does not occur without the apostrophe.

Oh, interesting, if I delete and re-insert the apostrophe, it stops
happening, i.e., there is some hidden state which affects things as
well.